Subject: [VCARDDAV] vCard RDF update...

From: Renato Iannella <[email-masked]>
Date: Mon, 8 Oct 2012 13:10:53 +1000

Hi all, I am in the process of updating the W3C vCard RDF spec [1] to RFC6350.

My first question is if anyone has completed a mapping of allowable properties per Kind (Individual, Group, Org, Location)

For example, can a Group have a Logo? Can Related be used for Orgs?

Cheers

Renato Iannella
http://renato.iannella.it

[1] http://www.w3.org/TR/vcard-rdf/

---

From: Cyrus Daboo <[email-masked]>
Date: Mon, 08 Oct 2012 10:08:56 -0400

Hi Renato,

--On October 8, 2012 1:10:53 PM +1000 Renato Iannella <[email-masked]> 
wrote:

> My first question is if anyone has completed a mapping of allowable
> properties per Kind (Individual, Group, Org, Location)
>
>

I don't think there is any strict requirement about certain properties only 
being used with certain KIND values. For example, RFC 6473 lists a set of 
properties that "make sense" for KIND:application, and suggests others may 
be applicable as well. Obviously, there are some combinations that probably 
do not make sense (e.g., BDAY or ANNIVERSARY for KIND:application), but 
there is no formal requirement restricting that..

-- 
Cyrus Daboo

---

From: Simon Perreault <[email-masked]>
Date: Tue, 09 Oct 2012 10:53:19 -0400

> For example, can a Group have a Logo? Can Related be used for Orgs?

All properties defined in RFC6350 are applicable to all kinds, except 
MEMBER, which MAY be used with group and MUST NOT be used with other kinds.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Renato Iannella <[email-masked]>
Date: Wed, 10 Oct 2012 09:25:02 +1000

On 10 Oct 2012, at 00:53, Simon Perreault <[email-masked]> wrote:

> All properties defined in RFC6350 are applicable to all kinds, except MEMBER, which MAY be used with group and MUST NOT be used with other kinds.

Simon, surely BDAY, ANNI, GENDER, TITLE, ROLE, ORG, ORGUNIT only apply to Individuals?
Also, not sure if a Location can have a KEY?

I have a draft of the RDF/OWL mapping at: http://www.w3.org/wiki/RepresentingVCardinRDFOWL
(auto documented at: http://www.essepuntato.it/lode/owlapi/http://www.w3.org/wiki/images/2/2b/Vcard.rdf)

Cheers

Renato Iannella

---

From: Barry Leiba <[email-masked]>
Date: Tue, 9 Oct 2012 19:51:08 -0400

>> All properties defined in RFC6350 are applicable to all kinds, except MEMBER, which
>> MAY be used with group and MUST NOT be used with other kinds.
>

Organizations can certainly have anniversaries, titles, and roles, and
can be parts of other organizations, just to make one point against
that statement.  And, in fact, the second example in Section 6.1.4
shows KIND=org with an ORG property:

         BEGIN:VCARD
         VERSION:4.0
         KIND:org
         FN:ABC Marketing
         ORG:ABC\, Inc.;North American Division;Marketing
         END:VCARD

In any case, what Cyrus and Simon are both saying is that whether or
not it makes semantic sense to, let's say, add "BDAY" or "GENDER" to
that example vCard above, there's nothing in the spec that stops
anyone from adding them.

Barry

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 09 Oct 2012 18:14:47 -0600

On 10/9/12 5:51 PM, Barry Leiba wrote:
>>> All properties defined in RFC6350 are applicable to all kinds,
>>> except MEMBER, which MAY be used with group and MUST NOT be
>>> used with other kinds.
>> 
> Organizations can certainly have anniversaries, titles, and roles,
> and can be parts of other organizations, just to make one point
> against that statement.  And, in fact, the second example in
> Section 6.1.4 shows KIND=org with an ORG property:
> 
> BEGIN:VCARD VERSION:4.0 KIND:org FN:ABC Marketing ORG:ABC\,
> Inc.;North American Division;Marketing END:VCARD
> 
> In any case, what Cyrus and Simon are both saying is that whether
> or not it makes semantic sense to, let's say, add "BDAY" or
> "GENDER" to that example vCard above, there's nothing in the spec
> that stops anyone from adding them.

Further related corroboration: in the XMPP community we use BDAY in
vCards of KIND application to denote the year in which XMPP servers
joined the network. Here are some examples:

http://xmpp.net/server-vcards.xml

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Renato Iannella <[email-masked]>
Date: Wed, 10 Oct 2012 10:32:03 +1000

On 10 Oct 2012, at 09:51, Barry Leiba <[email-masked]> wrote:

> that statement.

Then we should have been clearer with the definitions of these properties.
Anniversary is defined as "date of marriage" - I don't think Orgs get married ;-)

I could see Role being used for an Org (eg "Saving Animals" for the RSPCA) but not clear on a Title (that would conflict with its Name)
 
>         ORG:ABC\, Inc.;North American Division;Marketing

This is interesting, as when I read the definition of ORG, it says "to specify the org name/units *associated* with the vCard"
So does "associated" mean there is some legal/governance structure between them, or is it more broader?
For example, could I put Ford Motor Company (a totally separate company) as ABC Marketing do some work for them?

(Ideally, you would have used the Related property and point to the the company vCard with TYPE="parent")

Sorry to be pedantic, but wen trying to represent in RDF/OWL, all these modelling questions arise!

Cheers

Renato Iannella

---

From: Renato Iannella <[email-masked]>
Date: Wed, 10 Oct 2012 10:34:04 +1000

> joined the network. Here are some examples:

Wow, that is really pushing the semantics of Birth.

We should have added provenance properties to the vCard object itself.

Cheers

Renato Iannella

---

From: Michael Angstadt <[email-masked]>
Date: Tue, 9 Oct 2012 21:40:31 -0400

Peter,

FYI your vCard samples are missing the vCard namespace. ;)

<vcards>

should be

<vcards xmlns="urn:ietf:params:xml:ns:vcard-4.0">

-Mike
http://code.google.com/p/ez-vcard

On Tue, Oct 9, 2012 at 8:14 PM, Peter Saint-Andre <[email-masked]> wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
> Comment: Using GnuPG with Mozilla - http://www.enigmail.net/
>
> iEYEARECAAYFAlB0vfcACgkQNL8k5A2w/vweMACg68ZOwDRSJRzpvoFry0GEtqia
> tc0AoLWhCUHgekeJbf9VdTtPCE7do0Z0
> =5XEq
> -----END PGP SIGNATURE-----
> _______________________________________________
> VCARDDAV mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vcarddav

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 09 Oct 2012 19:55:17 -0600

> <vcards xmlns="urn:ietf:params:xml:ns:vcard-4.0">

Fixed. Thanks for the bug report. :)

Peter

- -- 
Peter Saint-Andre
https://stpeter.im/

---

From: Simon Perreault <[email-masked]>
Date: Wed, 10 Oct 2012 08:50:51 -0400

> For example, could I put Ford Motor Company (a totally separate company) as ABC Marketing do some work for them?

Probably just a sample of my bad Frenglish. It should be understood as: 
"to specify the org name/units of the object represented by the vCard".

Simon

---

From: Marc Blanchet <[email-masked]>
Date: Wed, 10 Oct 2012 09:15:15 -0400

Le 2012-10-10 à 08:50, Simon Perreault a écrit :

> Probably just a sample of my bad Frenglish. It should be understood as: "to specify the org name/units of the object represented by the vCard".
> 

if this is ambiguous to many, I would suggest to fill out an errata and confirm it as "very mild", so at least a new version of the RFC would be fixed.

Marc.

---

From: Simon Perreault <[email-masked]>
Date: Wed, 10 Oct 2012 10:52:33 -0400

> We should have added provenance properties to the vCard object itself.

Like SOURCE?

Simon

---

From: Renato Iannella <[email-masked]>
Date: Thu, 11 Oct 2012 09:43:09 +1000

> Probably just a sample of my bad Frenglish. It should be understood as: "to specify the org name/units of the object represented by the vCard".

Ok, that would be clearer....for an ORG Kind vCard....

But for an Individual Kind  vCard it would not work...(because it is not an Org)

I think the issue is having both an Org property *and* Kind is confusing without any constraints on their use.

Cheers

Renato Iannella

---

From: Simon Perreault <[email-masked]>
Date: Thu, 11 Oct 2012 08:30:05 -0400

> But for an Individual Kind  vCard it would not work...(because it is not an Org)

Why? I'm an individual and my org name is "Viagénie"...

Simon

---

From: Renato Iannella <[email-masked]>
Date: Fri, 12 Oct 2012 10:50:13 +1000

> Why? I'm an individual and my org name is "Viagénie"...

More precisely, you are saying "I am an Individual and I am associated with (work at) Org Viagenie"

Then say that as an Org: "I am an Org and I am associated with (work at) Org Viagenie"

Cheers

Renato Iannella